Subject: bug#46184: 28.0.50; child-frame-border-width of 0 falls back to internla-border-width

From: martin rudalics <[email-masked]>
Date: Sat, 6 Feb 2021 18:28:16 +0100

>  > I also tried setting an explicit `nil` value and got an error, but
 >  > judging by how `internal-border-width` shows the same behaviour I assume
 >  > that it's working as expected.
 >
 > Indeed.  That's why I dislike frame parameters.  WOW users cannot set
 > 'internal-border-width' back to its initial value once it changed.  For
 > scroll bars we use a two-tiers approach where users can tweak width and
 > type separately.  Doing something similar for the internal border seems
 > a bit excessive to me.

I think I fixed that now in the sense that an explicit nil value does
not get an error but triggers the fallback mechanism.  Please check out
the latest master.

Thanks, martin